Google Play App Detail
Google Play App Detail is used to fetch Google Play app detail data by product ID.
- Fetch Google Play app details by product ID
- Support region-based requests
- Return app name, developer, rating, description, screenshots, and reviews
- Accept multiple product IDs in one request
Use XCrawl to Fetch Google Play App Details
Usage
curl -s -X POST 'https://run.xcrawl.com/v1/data' \
-H 'Authorization: Bearer $XCRAWL_API_KEY'\
-H 'Content-Type: application/json' \
-d '{
"engine": "google_play_app_detail",
"location": "US",
"product_id_list": ["com.tapblaze.coffeebusiness"]
}'Request parameter notes:
enginemust begoogle_play_app_detaillocationspecifies the target regionproduct_id_listaccepts one or more Google Play app IDs
Response Example
{
"result": [
{
"url": "https://play.google.com/store/apps/details?id=com.loves.finder",
"name": "Love's Connect",
"publisher": "Love's Travel Stops and Country Stores, Inc.",
"publisher_url": "https://play.google.com/store/apps/developer?id=Love%27s+Travel+Stops+and+Country+Stores,+Inc.",
"rating": "3.7",
"download_times_des": "1M+ Downloads",
"price": null,
"describe": "Find your favorite Love's Travel Stops...",
"icon": "https://play-lh.googleusercontent.com/LeVqTPW2bJE7DSn8YYWjodPgf-zDardv7Ou_PgzQR1l-fYMczLbR459gAARLW_mTyJVf=w240-h480-rw",
"updatetime": "Jun 16, 2025"
}
]
}Parameters
Required Parameters
| Parameter | Type | Description |
|---|---|---|
location | string | Specifies the target region. |
product_id_list | array | Accepts one or more Google Play app IDs. |
Parameter Notes
locationdefaults toUSlocationsupports multiple region values such asUS,HK,CA,GB, andJPproduct_id_listdefaults to an empty array and should contain Google Play app IDs
Response Fields
| Field | Type | Description |
|---|---|---|
url | string | App detail page URL. |
name | string | App name. |
publisher | string | Developer name. |
publisher_url | string | Developer page URL. |
rating | string | Overall rating. |
download_times_des | string | Download volume text. |
condition_des | string | Age rating or suitability description. |
price | string | App price. |
describe | string | App description. |
icon | string | App icon URL. |
images | array | Screenshot list. |
video | string | Promotional video URL. |
updatetime | string | Last update time. |
provider | string | Data provider information. |
data_security | string | Data safety information. |
tags | array | Tag list. |
rating_detail | array | Rating distribution. |
reviews | array | User review list. |
similar_products | array | Similar app list. |
Screenshot Fields
Each item in images[] typically includes:
| Field | Type | Description |
|---|---|---|
image | string | Screenshot URL. |
Tag Fields
Each item in tags[] typically includes:
| Field | Type | Description |
|---|---|---|
name | string | Tag name. |
link | string | Tag URL. |
Rating Distribution Fields
Each item in rating_detail[] typically includes:
| Field | Type | Description |
|---|---|---|
score | string | Rating score. |
amount | string | Number of ratings for that score. |
Review Fields
Each item in reviews[] typically includes:
| Field | Type | Description |
|---|---|---|
auther | string | Reviewer name. |
auther_link | string | Reviewer avatar or profile URL. |
rating | string | Review rating. |
text | string | Review text. |
createdtime | string | Review date. |
Similar App Fields
Each item in similar_products[] typically includes:
| Field | Type | Description |
|---|---|---|
name | string | App name. |
icon | string | App icon URL. |
publisher | string | Developer name. |
link | string | App URL. |
rating | string | App rating. |
price | string | App price. |
